> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/task/_create.md).

# \_create

Creates a new Task.

### Parameters

#### etype

The Task type ID.

#### clientId

The Customer ID.

#### subject

Short textual description of the task.

#### details

Further textual details of the task.

#### resolution

Outcome of the task when completed.

#### assignedTo

User ID of the user assigned to the task.

#### eStatus

New - 0, Open - 1, Closed - 2

#### due\_date

Date the Task is due to be completed by the latest.

#### privacy

Private - 0, Public - 1

#### time\_spent

Period of time spent completing the task.

### Example

```
FM_api('Task_create', array('etype' => '1',
                            'clientId' => '8',
                            'subject' => 'TEST SUBJECT',
                            'details' => 'TEST DETAILS',
                            'resolution' => '',
                            'assignedTo' => '82878',
                            'eStatus' => '0',
                            'due_date' => '2018-10-03 10:00:00',
                            'privacy' => '1',
                            'time_spent' => ''));
```

### On Success

```
{'ok':1,'id':12}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/task/_create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
